Package com.orchestranetworks.ui.form.widget

# Interface UIRadioButtonGroup

All Superinterfaces:
  `UIAtomicWidget`, `UIAtomicWithEnumeration`, `UIWidget`

public interface UIRadioButtonGroup extends UIAtomicWithEnumeration
Group of radio buttons based on an enumeration.

### JavaScript type

The JavaScript type for this widget is a `String` corresponding to the selected key value. If no radio button is selected, the value will be `null`.

If an `afterValueChanged action` has been set on this widget, the JavaScript type of the value will be the same.

Since:
  5.3.0
See Also:
  - `UIFormWriter.newRadioButtonGroup(com.orchestranetworks.schema.Path)`
  - `UIResponseContext.newRadioButtonGroup(com.orchestranetworks.schema.Path)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getColumnsNumber()`
  `void`
  `setColumnsNumber(int numberOfColumns)`
  Sets the number of columns to use in the layout of the radio buttons.
  `void`
  `setColumnsNumber(Integer numberOfColumns)`
  Sets the number of columns to use in the layout of the radio buttons.

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWidget

  `getActionOnAfterValueChanged, isAjaxPrevalidationEnabled, isAjaxValueSynchEnabled, setActionOnAfterValueChanged, setAjaxPrevalidationEnabled, setAjaxValueSynchEnabled`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWithEnumeration

  `getSpecificNomenclature, setSpecificNomenclature`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIWidget

  `isEditorDisabled, setEditorDisabled`

- ## Method Details

  - ### getColumnsNumber

    Integer getColumnsNumber()
    Returns:
      the number of columns defined for this radio button group, or `null` if it has not been defined.

  - ### setColumnsNumber

    void setColumnsNumber(int numberOfColumns)
    Sets the number of columns to use in the layout of the radio buttons.

    The number of columns must be greater than 0.

    Parameters:
      `numberOfColumns` - the number of columns to use for the radio button group
    See Also:
      - `setColumnsNumber(Integer)`

  - ### setColumnsNumber

    void setColumnsNumber(Integer numberOfColumns)
    Sets the number of columns to use in the layout of the radio buttons.

    The number of columns must be either `null` or greater than 0.

    If the parameter is `null`, then the component will use its default number of columns.

    Default value: `null`.

    Parameters:
      `numberOfColumns` - the number of columns to use for the radio button group, or `null` to reset to default.